"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const expressive_path_summary_1 = __importDefault(require("./expressive-path-summary"));
const latin_definitions_only_1 = __importDefault(require("./latin-definitions-only"));
const no_empty_object_type_1 = __importDefault(require("./no-empty-object-type"));
const no_single_allof_1 = __importDefault(require("./no-single-allof"));
const no_trailing_slash_1 = __importDefault(require("./no-trailing-slash"));
const object_prop_casing_1 = __importDefault(require("./object-prop-casing"));
const only_valid_mime_types_1 = __importDefault(require("./only-valid-mime-types"));
const parameter_casing_1 = __importDefault(require("./parameter-casing"));
const path_param_required_field_1 = __importDefault(require("./path-param-required-field"));
const required_operation_tags_1 = __importDefault(require("./required-operation-tags"));
const required_parameter_description_1 = __importDefault(require("./required-parameter-description"));
const required_tag_description_1 = __importDefault(require("./required-tag-description"));
const rules = {
    [expressive_path_summary_1.default.name]: expressive_path_summary_1.default,
    [latin_definitions_only_1.default.name]: latin_definitions_only_1.default,
    [no_empty_object_type_1.default.name]: no_empty_object_type_1.default,
    [no_single_allof_1.default.name]: no_single_allof_1.default,
    [no_trailing_slash_1.default.name]: no_trailing_slash_1.default,
    [object_prop_casing_1.default.name]: object_prop_casing_1.default,
    [only_valid_mime_types_1.default.name]: only_valid_mime_types_1.default,
    [parameter_casing_1.default.name]: parameter_casing_1.default,
    [path_param_required_field_1.default.name]: path_param_required_field_1.default,
    [required_operation_tags_1.default.name]: required_operation_tags_1.default,
    [required_parameter_description_1.default.name]: required_parameter_description_1.default,
    [required_tag_description_1.default.name]: required_tag_description_1.default,
};
exports.default = rules;
