"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const name = 'latin-definitions-only';
const rule = {
    name,
    visitor: {
        DefinitionsObject: ({ node, report }) => {
            Object.keys(node).forEach(name => {
                const rest = name
                    // def name may contain latin chars
                    .replace(/[a-z]+/i, '')
                    // or numerals
                    .replace(/\d/gi, '');
                if (rest.length > 0) {
                    report(`Definition name "${name}" contains non latin characters.`);
                }
            });
        },
    },
};
exports.default = rule;
