"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const name = 'no-empty-object-type';
const rule = {
    name,
    visitor: {
        SchemaObject: ({ node, report }) => {
            if (utils_1.isRef(node))
                return;
            if (node.type !== 'object')
                return;
            if ('properties' in node && node.properties) {
                return;
            }
            else if ('allOf' in node && node.allOf) {
                return;
            }
            else if ('additionalProperties' in node &&
                node.additionalProperties) {
                return;
            }
            else {
                report(`has "object" type but is missing "properties" | "additionalProperties" | "allOf"`);
            }
        },
    },
};
exports.default = rule;
