"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const name = 'required-operation-tags';
const rule = {
    name,
    visitor: {
        OperationObject: ({ node, report, location }) => {
            if (!Array.isArray(node.tags) || node.tags.length < 1) {
                const method = location[location.length - 1];
                const url = location[location.length - 2];
                report(`Operation "${method}" in "${url}" is missing tags.`);
            }
        },
    },
};
exports.default = rule;
