import { SwaggerVisitorName, Swagger } from '../types';
export declare const log: (x: string) => void;
export declare function isRef(arg: Record<string, unknown>): arg is Swagger.ReferenceObject;
export declare function isSchemaObjectAllOfObject(arg: Record<string, unknown>): arg is Swagger.SchemaObjectAllOfObject;
export declare function isObject(arg: unknown): arg is object;
export declare function isValidSwaggerVisitorName(name: string): name is SwaggerVisitorName;
declare type ValidCasesObj = {
    camel: Set<'camel' | 'lower'>;
    constant: Set<'constant'>;
    kebab: Set<'kebab' | 'lower'>;
    pascal: Set<'pascal'>;
    snake: Set<'snake' | 'lower'>;
};
export declare const validCases: ValidCasesObj;
export declare function isValidCaseName(name: string | void): name is keyof typeof validCases;
export declare function hasKey<K extends string>(key: K, obj: object): obj is {
    [key in K]: unknown;
};
export declare function isSwaggerObject(arg: unknown): arg is Swagger.SwaggerObject;
export {};
