"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
function isRef(arg) {
    return typeof arg.$ref === 'string';
}
exports.isRef = isRef;
const openapiVisitorSet = new Set([
    'DiscriminatorObject',
    'XMLObject',
    'SchemaObject',
    'SpecificationExtensions',
    'LicenseObject',
    'ContactObject',
    'InfoObject',
    'ServerVariableObject',
    'ServerObject',
    'ExternalDocumentationObject',
    'TagObject',
    'SecurityRequirementObject',
    'ReferenceObject',
    'CallbackObject',
    'RuntimeExpression',
    'LinkObject',
    'OAuthFlowObject',
    'OAuthFlowsObject',
    'SecuritySchemeObject',
    'ExampleObject',
    'EncodingObject',
    'MediaTypeObject',
    'RequestBodyObject',
    'ParameterObject',
    'HeaderObject',
    'ResponseObject',
    'ResponsesObject',
    'OperationObject',
    'PathItemObject',
    'PathsObject',
    'ComponentsObject',
    'OpenAPIObject',
]);
function isValidVisitorName(name) {
    return openapiVisitorSet.has(name);
}
exports.isValidVisitorName = isValidVisitorName;
function isValidOpenAPIObject(arg) {
    return (_1.isObject(arg) &&
        _1.hasKey('openapi', arg) &&
        typeof arg.openapi === 'string' &&
        ['3.0.0', '3.0.1', '3.0.2', '3.0.3'].includes(arg.openapi));
}
exports.isValidOpenAPIObject = isValidOpenAPIObject;
